%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		tap
Version:	1.14.0
Release:	%mkrel 6
Summary:	Write tests that implement the Test Anything Protocol
License:	BSD
Group:		System/Libraries
URL:		https://www.shlomifish.org/open-source/projects/libtap/
Source:		https://web-cpan.shlomifish.org/downloads/libtap-%{version}.tar.xz
BuildRequires:	cmake

%description
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{libname}
Summary:	Write tests that implement the Test Anything Protocol
Group:		System/Libraries

%description -n	%{libname}
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q -n libtap-%{version}

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Tue Aug 09 2022 pol4n <pol4n> 1.14.0-6.mga9
+ Revision: 1876340
- Replace RPATH patch with -DCMAKE_SKIP_RPATH:BOOL=ON on %%cmake.

* Tue Aug 09 2022 pol4n <pol4n> 1.14.0-5.mga9
+ Revision: 1876318
- Fix rpath
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 joequant <joequant> 1.14.0-3.mga8
+ Revision: 1616780
- fix build

* Sat Feb 15 2020 daviddavid <daviddavid> 1.14.0-2.mga8
+ Revision: 1525897
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Mar 23 2019 shlomif <shlomif> 1.14.0-1.mga7
+ Revision: 1379792
- New version 1.14.0

* Sun Sep 23 2018 umeabot <umeabot> 1.03-9.mga7
+ Revision: 1301320
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 1.03-8.mga7
+ Revision: 1242792
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 1.03-7.mga6
+ Revision: 932440
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.03-6.mga5
+ Revision: 742011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-5.mga5
+ Revision: 689691
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 1.03-4.mga5
+ Revision: 662358
- disable static build and drop .la files
- don't pkg INSTALL file

* Fri Oct 18 2013 umeabot <umeabot> 1.03-3.mga4
+ Revision: 519519
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.03-2.mga3
+ Revision: 384038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 shlomif <shlomif> 1.03-1.mga2
+ Revision: 184545
- imported package tap


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.01-8mdv2010.0
+ Revision: 434270
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-7mdv2009.0
+ Revision: 261375
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-6mdv2009.0
+ Revision: 254116
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-4mdv2008.1
+ Revision: 136033
- new devel package policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import tap


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-3mdv2007.0
- Rebuild

* Mon Dec 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk
- build without thread support (seems to be broken) 

* Sun Dec 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- first mdk release
